<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">

  <!-- style includes global params interface_name, library_name -->
  <xsl:include href="style.xsl"/>

  <xsl:output method="html"/>  

  <xsl:template name="pageTitle">
    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
  </xsl:template>

  <!-- page specific style goes here -->
  <xsl:template name="pageStyle"/>

  <xsl:template match="pageResponse">
    <xsl:call-template name="greenstonePageBanner"/> 
    <xsl:apply-templates select="serviceList/service[@name='TextQuery']"/>
    <xsl:apply-templates select="collectionList"/>   
    <xsl:apply-templates select="serviceClusterList"/>
    <xsl:apply-templates select="serviceList"/>
  </xsl:template>

  <xsl:template match="collectionList">
   <ul id="collectionlist">
    <xsl:for-each select="collection"> 
      <li>
      
           <xsl:choose>
              <xsl:when test="displayItem[@name='icon']">
              <a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}">
                <img>
	           <xsl:attribute name="src">
	             <xsl:value-of select="metadataList/metadata[@name='httpPath']"/>/images/<xsl:value-of select="displayItem[@name='icon']"/>
	           </xsl:attribute>
	           <xsl:attribute name="alt">
	                <xsl:value-of select="displayItem[@name='name']"/>
	           </xsl:attribute>
	         </img> 
               </a>  
	      </xsl:when>
              <xsl:otherwise>
               <a class="noimage" href="{$library_name}?a=p&amp;sa=about&amp;c={@name}">  
                 <xsl:value-of select="displayItem[@name='name']"/>
               </a>
              </xsl:otherwise>
           </xsl:choose>         
	 
       </li>
    </xsl:for-each> 
   </ul>
  </xsl:template> 
  
  <xsl:template match="serviceClusterList">
    <xsl:for-each select="serviceCluster"> 
      <a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}"><xsl:value-of select='@name'/><xsl:value-of select="displayItem[@name='name']"/></a>
    </xsl:for-each>
  </xsl:template>

  <xsl:template match="service[@name='TextQuery']">
    <div class="QuickSearch">
      <form name="QuickSearch" method="get" action="{$library_name}">
	<input type="hidden" name="a" value="q"/>
	<input type="hidden" name="rt" value="rd"/>
	<input type="hidden" name="s" value="{@name}"/>
	<input type="hidden" name="s1.collection" value="all"/>
	<input type="text" name="s1.query" size="20"/>
	<input type="submit" value="Quick Search"/>
      </form>
    </div>
  </xsl:template>

  <xsl:template match="serviceList">
    <xsl:call-template name="dividerBar"/>
    <ul id="servicelist">
    <xsl:for-each select="service[@type='query']">
      <li><a href="{$library_name}?a=q&amp;rt=d&amp;s={@name}"><xsl:value-of select="displayItem[@name='name']"/></a><xsl:value-of select="displayItem[@name='description']"/></li>
      </xsl:for-each>
    </ul>
    </xsl:template>
</xsl:stylesheet>  


